Skip to main content
POST
/
api
/
v1
/
companies
/
search
Search companies
curl --request POST \
  --url https://developer.thehog.ai/api/v1/companies/search \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>' \
  --data '
{
  "query": "B2B SaaS companies in Austin hiring engineers",
  "limit": 25,
  "includeSignals": false,
  "filters": {
    "titles": [
      "<string>"
    ],
    "locations": [
      "<string>"
    ],
    "industries": [
      "<string>"
    ],
    "employeeCount": {
      "min": 1,
      "max": 1
    },
    "signals": [
      "<string>"
    ],
    "company": {
      "names": [
        "<string>"
      ],
      "domains": [
        "<string>"
      ],
      "linkedinUrls": [
        "<string>"
      ],
      "industries": [
        "<string>"
      ],
      "employeeCount": {
        "min": 1,
        "max": 1
      },
      "signals": [
        "<string>"
      ]
    }
  }
}
'
{
  "id": "<string>",
  "operationId": "<string>",
  "pollUrl": "<string>"
}

POST /api/v1/companies/search

Search for companies by firmographics, technographics, and signals. Async.
Search for companies by industry, headcount, revenue, technology, hiring signals, and more. This is an async endpoint — returns 202 Accepted with a poll URL.

Example

curl -X POST https://developer.thehog.ai/api/v1/companies/search \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"query": "Series B SaaS companies in the US with 50-200 employees", "limit": 10}'

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Headers

Idempotency-Key
string

Optional. Reusing the same key for the same organization returns the existing queued operation.

Body

application/json
query
string
required
Maximum string length: 500
Example:

"B2B SaaS companies in Austin hiring engineers"

limit
number
default:25
Required range: 1 <= x <= 100
includeSignals
boolean
default:false
filters
object

Response

Company search accepted. Poll the returned URL for results.

id
string
required
operationId
string
required
status
enum<string>
required
Available options:
queued
pollUrl
string
required